# <img src="https://raw.githubusercontent.com/SangeloDev/SangeFault/1.8.9/pack.png" width="32"> SangeFault

[![](https://img.shields.io/badge/1.8.9-version-44c62e?style=for-the-badge)](https://minecraft.net) [![](https://img.shields.io/badge/UtilityClient-supported-%23aa4465?style=for-the-badge)](https://uc.gamingcraft.de) [![](https://img.shields.io/badge/LabyMod-supported-%23008FE8?style=for-the-badge)](https://labymod.net)
[![](https://img.shields.io/badge/PlanetMinecraft-visit-%236EC310?style=for-the-badge)](https://www.planetminecraft.com/texture-pack/sangefault-1-8-x-resource-pack/) [![Pack Picker](https://img.shields.io/badge/Customize%20SangeFault-Soon-blue?style=for-the-badge)](https://pack.sangelo.space)

ℹ️ If you're viewing this page from [Gitpot](https://gitpot.org/sangelo/SangeFault) and don't see any releases, please view them on [GitHub](https://github.com/SangeloDev/SangeFault/releases).

## Installation Instructions
Hello there! Thanks for trying out world's first complex open-source Minecraft resourcepack for 1.8.9 first of all! I am very thankful for that. :D
Now let's go on to the installation instructions:

### Installation using your graphical interface
ℹ️ Recommended for users who are scared of the command line.
Instructions:
1. Go to the releases tab or click [this link](https://github.com/SangeloDev/SangeFault/releases) and download the latest version.
2. Unzip the zip file.
3. Windows:
    - Press WIN+R together on your keyboard.
    - Type in `%appdata%` and click `OK` or press `Enter`.
    - Go into your Minecraft folder (eg. `.minecraft`) and then into `resourcepacks`
    - Paste in the zip file which was **inside** the zip file you downloaded earlier.

   Mac:
    - Open a Finder window.
    - Press `⌘ + ⇧ + G`, type in `~/Library/Application\ Support/` and press enter.
    - Locate your Minecraft folder (eg. `.minecraft`) and open it.
    - Locate the `resourcepacks` folder and open it.
    - Paste in the zip file which was **inside** the zip you downloaded earlier.
   
   Linux:
    - Go to your Minecraft path: `~/.minecraft`
    - Locate the `resourcepacks` folder and open it.
    - Paste in the zip file which was **inside** the zip you downloaded earlier.
4. Start Minecraft and enjoy!

### Command-line installation
#### Requirements:
- [Git](https://git-scm.com/downloads)

#### Windows:
```bash
# Open your minecraft resourcepack folder
cd %appdata%\.minecraft\resourcepacks

# Clone this repo into your resource packs folder.
git clone https://github.com/SangeloDev/SangeFault
```

#### Mac:
```bash
# Open your minecraft resourcepack folder
cd ~/Library/Application\ Support/.minecraft/resourcepacks

# Clone this repo into your resource packs folder.
git clone https://github.com/SangeloDev/SangeFault
```

#### Linux:
```bash
# Open your minecraft resourcepack folder
cd ~/.minecraft/resourcepacks

# Clone this repo into your resource packs folder.
git clone https://github.com/SangeloDev/SangeFault
```

## Update Instructions
This is how you update SangeFault to the latest release. SangeFault is far from finished, y'know?

### Update using graphical interface
1. Download the latest release of SangeFault
2. Follow the installation instructions for your Operating System.
3. Start Minecraft and enjoy!

### Update using command-line
1. Go into your folder again (as explained above) and run the command `cd SangeFault && git pull` instead of the `git clone https://github.com/SangeloDev/SangeFault` command.

## Contribution
Contribution is always welcome, since this is the point of this project. You can create addons for SangeFault by editing the pack itself, and it will be reviewed and merged in the addons branch.

## Versioning
Since release 1.0.3, I'm using a versioning system for releases, because this pack is still Work in Progress.
I'll be naming:
- Major releases (1.0, 1.1, etc.) as MR
- Minor releases (1.0.1, 1.1.4, etc.) as mR
- Patches (1.0.1.1, 1.0.1.2, etc.) as pR

## Credits
All textures created for SangeFault are licensed under the CC4.0 License. Read more [here](LICENSE)<br>
Based on [SammyFault's 16x Pack](http://www.mediafire.com/file/vrojgs74merz18h/%2521_%25C2%25A72Sammyfault_%25C2%25A7a%255B16x%255D.zip/file)<br>
1.0.3 : Includes Wool from [Majesta's 16x Pack](https://www.mediafire.com/file/m2i4zdffmh4s95z/!++++++++%C2%A75%C2%A7lmajesta+%C2%A78[16x].zip/file)
